Subject: bug#59559: 28.1; `minibuffer-with-setup-hook' with :append

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jan 2023 20:43:46 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 21 Jan 2023 17:07:18 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > How about just adding the obvious to the first sentence:
> >
> >   Temporarily add function FUN to `minibuffer-setup-hook' while
> > executing BODY.
> >
> > All the rest sounds clear to me, and I find the original text less
> > confusing than your proposed change ("expression that should evaluate
> > to a function"?).
> 
> The (valid, IMO) request was about the (:append FUN1) part: is this the
> s-expr to specify, or should the FUN arg evaluate to such a list?  Not
> clear from the original docstring.

I don't see why.  We say stuff like "argument of the form (FOO BAR)"
in gazillion places, and I see no reason why this one place should be
singled out.

> I'm happy if you or Drew want to suggest a better wording.

I already did.